python-2.7 – GDB错误安装错误:缺少gdb.execute_unwinders函数

在调试时,我突然开始在几乎每个GDB输出行上看到此消息:

Python Exception Installation error: gdb.execute_unwinders function is missing

这是什么?我该如何纠正?

最佳答案
我有相同的,在Ubunutu 14.04 LST上编译gdb 8.0.1.
原来安装错过了必要的Python文件.一个迹象是“make install”停止抱怨makeinfo丢失 – 虽然我没有改变任何.texi来源.

我的修复是进入构建区域,进入gdb / data-directory,再次执行“make install”,安装缺少的python脚本.

某处必须是一些奇怪的工具bu​​g.

转载注明原文:python-2.7 – GDB错误安装错误:缺少gdb.execute_unwinders函数 - 代码日志